## org.eclipse.datatools.modelbase.sql.query
Interface ProcedureReference

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface ProcedureReference

extends SQLQueryObject

A representation of the model object 'Procedure Reference'.

The following features are supported:

- `Call Statement`
- `Procedure`

See Also:
  `SQLQueryModelPackage.getProcedureReference()`

Method Summary
`CallStatement` `getCallStatement()` Returns the value of the 'Call Statement' container reference.
`Procedure` `getProcedure()` Returns the value of the 'Procedure' reference.
`void` `setCallStatement(CallStatement value)` Sets the value of the '`Call Statement`' container reference.
`void` `setProcedure(Procedure value)` Sets the value of the '`Procedure`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCallStatement

    CallStatement getCallStatement()

  Returns the value of the 'Call Statement' container reference. It is bidirectional and its opposite is '`Procedure Ref`'.

  If the meaning of the 'Call Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Call Statement' container reference.
  See Also:
    `setCallStatement(CallStatement)`, `SQLQueryModelPackage.getProcedureReference_CallStatement()`, `CallStatement.getProcedureRef()`

### setCallStatement

    void setCallStatement(CallStatement value)

  Sets the value of the '`Call Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Call Statement' container reference.
  See Also:
    `getCallStatement()`

### getProcedure

    Procedure getProcedure()

  Returns the value of the 'Procedure' reference.

  If the meaning of the 'Procedure' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Procedure' reference.
  See Also:
    `setProcedure(Procedure)`, `SQLQueryModelPackage.getProcedureReference_Procedure()`

### setProcedure

    void setProcedure(Procedure value)

  Sets the value of the '`Procedure`' reference.

  Parameters:
    `value` - the new value of the 'Procedure' reference.
  See Also:
    `getProcedure()`